:root,
[data-bs-theme=light] {
    --bs-primary: #2a84c0 !important;
    --bs-primary-rgb: 56, 133, 184 !important;

    --bs-link-color: #3885b8 !important;
    --bs-link-color-rgb: 56, 133, 184 !important;

    --bs-blue: #005aff !important;
    --bs-blue-rgb: 90, 255, 100 !important;

    --bs-btn-danger-bg: #F2426E;

    --bs-yellow-bg: #FFFF00;
    --bs-btn-yellow-bg: #FFFF00;

    --bs-magenta: #e6007e !important;
    --bs-magenta-rgb: 230, 0, 126 !important;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #2a84c0;
    --bs-btn-border-color: #2a84c0;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #1770ab;
    --bs-btn-hover-border-color: #0c67a3;
    --bs-btn-focus-shadow-rgb: 136, 88, 237;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #0c67a3;
    --bs-btn-active-border-color: #0d65a0;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(16, 25, 36, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #2a84c0;
    --bs-btn-disabled-border-color: #2a84c0;
}

.btn-yellow {
    --bs-btn-color: #000;
    --bs-btn-bg: #FFFF00;
    --bs-btn-border-color: #FFFF00;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #fff200;
    --bs-btn-hover-border-color: #fff200;
    --bs-btn-focus-shadow-rgb: 253, 167, 67;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #fff200;
    --bs-btn-active-border-color: #fff200;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(16, 25, 36, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #FFFF00;
    --bs-btn-disabled-border-color: #FFFF00;
}

.btn-magenta{
    --bs-btn-color: #fff;
    --bs-btn-bg: #e6007e;
    --bs-btn-border-color: #e6007e;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #ae0060;
    --bs-btn-hover-border-color: #ae0060;
    --bs-btn-focus-shadow-rgb: 253, 167, 67;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #ae0060;
    --bs-btn-active-border-color: #ae0060;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(255, 255, 255, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #e6007e;
    --bs-btn-disabled-border-color: #e6007f;
}

.text-magenta {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-magenta-rgb), var(--bs-text-opacity)) !important;
}

body.pg-auth {
    background: url('/assets/images/login.jpg') no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.hide {
    display: none;
}

.wide-xl {
    max-width: 100% !important;
}

.w-48 {
    width: 48% !important;
    margin-right: 0.5% !important;
}

.w-100px{
    width: 100px !important;
}
.w-200px{
    width: 200px !important;
}

.mw-100 {
    max-width: 100px !important;
}
.mw-200 {
    max-width: 200px !important;
}
.mw-220 {
    max-width: 220px !important;
}

.mh-70 {
    max-height: 70px !important;
}
.mh-100 {
    max-height: 100px !important;
}
.mh-140 {
    max-height: 140px !important;
}

.bg-red {
    background-color: var(--bs-danger);
}

.bg-yellow {
    background-color: var(--bs-yellow-bg);
}

.size-16{
    font-size: 16px !important; line-height: 20px !important;
}

.small-50{
    font-size: 50% !important;
}

.text-red,
.text-red a {
    color: var(--bs-danger) !important;
}

.text-blue,
.text-blue a {
    color: var(--bs-blue) !important;
}

.text-white,
.text-white a {
    color: white !important;
}

.text-right {
    text-align: right !important;
}

.pointer{
    cursor: pointer;
}
.pointer-default{
    cursor: default;
}


.logo-w-100 {
    width: 100% !important;
    max-height: 100% !important;
}

.nk-sidebar .nk-menu-sub {
    background: #f5f5f5 !important;
    padding: 4px 0 !important;
}

.nk-menu-sub .nk-menu-item{
    margin: 1px 0 !important;
}

.nk-menu-sub .nk-menu-link {
    font-size: 15px;
}

.nk-sidebar-head {
    height: 150px;
}

.nk-menu-item i {
    font-size: 20px;
    width: 35px;
}

.nk-menu-item .nk-menu-link {
    font-weight: 300 !important;
}
.nk-menu-item.active .nk-menu-link,
.nk-menu-item .nk-menu-link.bold {
    font-weight: 700 !important;
}

.nk-sidebar .nk-menu>li>.nk-menu-link:hover {
    background: var(--bs-link-color);
    color: white;
}

.nk-sidebar .nk-menu>li.active>.nk-menu-link {
    background: var(--bs-link-color);
    color: white;
}

.nk-sidebar .nk-menu>li.text-red>.nk-menu-link:hover {
    background: var(--bs-danger);
    color: white !important;
}

.nk-menu-link:hover .nk-menu-icon,
.nk-menu-item.active>.nk-menu-link .nk-menu-icon,
.nk-menu-item.current-menu>.nk-menu-link .nk-menu-icon {
    color: white !important;
}

.nk-sidebar .nk-menu > li .nk-menu-sub .nk-menu-link{
    padding-left: 14px !important;
    padding-right: 24px !important;
}
.nk-sidebar .nk-menu > li .nk-menu-sub .nk-menu-link:before{
    display: none !important;
}

.has-sub.active>.nk-menu-toggle:after,
.nk-menu-link:hover .nk-menu-toggle:after {
    color: white !important;
}

.dark-mode .nk-sidebar .nk-menu>li:hover>a,
.dark-mode .nk-sidebar .nk-menu>li.active>a,
.dark-mode .nk-sidebar .nk-menu>li.current-menu>a,
.dark-mode .wallet-item a:before {
    background: var(--bs-link-color) !important;
    color: white !important;
}

.custom-control-pro.no-control .custom-control-input:checked~.custom-control-label {
    background-color: var(--bs-primary) !important;
    color: white !important;
}

.custom-control-pro.no-control .custom-control-label.bg-yellow{
    background-color: var(--bs-yellow-bg) !important;
    color: #000 !important;
}

.actions i,
.preferiti i,
.my-icon {
    font-size: 20px;
    line-height: 24px;
    margin-right: 5px;
}

.my-icon.size-lg {
    font-size: 28px;
    line-height: 28px;
    margin-right: 8px;
}

.my-icon.size-xl {
    font-size: 32px;
    line-height: 32px;
    margin-right: 8px;
}

.bg-primary-dim,
.dual-listbox .dual-listbox__item:active,
.dual-listbox .dual-listbox__item.dual-listbox__item--selected {
    background-color: var(--bs-primary) !important;
}

span.my-invalid {
    position: absolute;
    /*left: auto;
    right: 0;*/
    left: 0;
    right: auto;
    color: #fff;
    font-size: 14px;
    font-weight: bold;
    ;
    line-height: 1;
    bottom: calc(100% + 4px);
    background: var(--bs-btn-danger-bg);
    padding: 0.3rem 0.5rem;
    z-index: 1;
    border-radius: 3px;
    white-space: nowrap;
}

span.my-invalid:before {
    position: absolute;
    content: "";
    height: 0;
    width: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid var(--bs-btn-danger-bg);
    border-bottom: 6px solid transparent;
    left: auto;
    right: 10px;
    bottom: -5px;
    font-weight: bold;
    border-radius: 5px;
}

.custom-control.custom-checkbox span.my-invalid {
    left: 0;
    right: auto;
}

.custom-control.custom-checkbox span.my-invalid:before {
    border-left: 6px solid var(--bs-btn-danger-bg);
    border-right: 6px solid transparent;
    left: 10px;
    right: auto;
    bottom: -5px;
}

.form-label{
    font-size: 0.8rem;
}

.my-form-label{
    position: absolute; top: -10px; left: 10px; padding: 0 10px; margin: 0; background-color: #FFF; z-index: 999;
}

.form-label.label-info {
    border-radius: 6px;
    min-height: calc(2.125rem + 2px);
    height: calc(3.25rem + 2px) !important;
    padding: 0.625rem 1.25rem;
    font-size: 0.9375rem;
    line-height: 2rem;
    display: block;
    width: 100%;
    --bs-bg-opacity: 0.3;
    background-color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
}

.form-control-wrap .select2-container--default.select2-xl .select2-selection--single {
    height: calc(3.25rem + 2px);
    font-size: 15px;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
    padding: 0.7rem 0.1875rem;
}

.is_readonly {
    background-color: #f5f6fa;
}

.is_readonly:focus {
    border: 1px solid #dbdfea;
    background-color: #f5f6fa;
}

.nk-sidebar-content {
    height: calc(100vh - 150px - 30px) !important;
}

.tooltip {
    z-index: 1000000 !important;
}

.label-range-min-max {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
}

.pro-control .custom-control-label .icon{
    opacity: 0.3;
}
.pro-control .custom-control-label span{
    opacity: 0.6;
}
.pro-control .custom-control-input:checked ~ .custom-control-label .icon{
    opacity: 1;
}
.pro-control .custom-control-input:checked ~ .custom-control-label .icon,
.pro-control .custom-control-input:checked ~ .custom-control-label span{
    opacity: 1;
}

table.dataTable th.nowrap,
table.dataTable td.nowrap {
  white-space: nowrap;
}

.custom-control .custom-control-input[disabled] ~ .custom-control-label, .custom-control .custom-control-input:disabled ~ .custom-control-label {
    opacity: 0.3; cursor: not-allowed;
}

/* centra il contenitore dentro la card */
.card-offerta-check {
    width: 100%;
}

/* rende il checkbox più grande (Bootstrap 5) */
.form-check-lg {
    width: 1.6em;
    height: 1.6em;
    margin-top: 0;
    cursor: pointer;
}

/* Offerte Imperdibili */
.product-card.card-offerta-imperdibile{
    transition: transform .25s ease;
    overflow: visible;
    position: relative;
}

.product-card.card-offerta-imperdibile:hover{
    transform: scale(1.15);
    z-index: 1000;
}
.box-imperdibile{
    /* height: 250px; */
    width: 100%;
    position: relative;
    overflow: visible;
}
.box-imperdibile:hover {
    z-index: 99999999;
}
.box-imperdibile img.copertina{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.25s ease, box-shadow 0.25s ease;
}
.box-imperdibile:hover img.copertina {
    z-index: 1000;
    position: relative;
    box-shadow: 0 10px 30px rgba(0,0,0,0.35);
    /* transform: scale(1.7); */
    border-radius: 10px;
}
.product-card.card-offerta-imperdibile .product-actions{
    position: absolute;
    bottom: -2.5rem;
}



#imperdibileOverlay{
    position:fixed;
    inset:0;

    background:rgba(0,0,0,0.70);
    backdrop-filter:blur(8px);

    z-index:9999;

    opacity:0;
    pointer-events:none;

    transition:opacity .35s ease;

    backface-visibility:hidden;
}

#imperdibileOverlay.active{
    opacity:1;
    pointer-events:auto;
}

#imperdibilePreview{
    position:fixed;

    padding-bottom:50px; /* spazio per il bottone sotto */

    transform:scale(.82);
    opacity:0;

    transition:
        transform .6s cubic-bezier(.16,1,.3,1),
        opacity .45s ease;
}

#imperdibileOverlay.active #imperdibilePreview{
    transform:scale(1);
    opacity:1;
}

#imperdibilePreview img{
    height:auto;
    max-height:90vh;
    width:auto;
    max-width:95vw;

    object-fit:contain;

    border-radius:12px;

    box-shadow:
        0 60px 140px rgba(0,0,0,.7),
        0 10px 40px rgba(0,0,0,.5);
}

/* bottone sopra centrato */
#imperdibileBtn{
    position:absolute;
    bottom:10px; /* fuori dall'immagine in basso */
    left:50%;
    transform:translateX(-50%);

    width:300px;
    height:50px;

    display:flex;
    align-items:center;
    justify-content:center;

    font-size:18px;
    text-align:center;

    z-index:20;

    box-shadow:0 8px 25px rgba(0,0,0,.4);
}

/* Loader*/
.js-preloader{
    position: relative;
}
.tri-ring{
    border-top-color: #C6202D !important;
}
.tri-ring:before{
    border-top-color: #F49532 !important;
}
.tri-ring:after{
    border-top-color: #2786C2 !important;
}

.loading-animation{
    position: relative;
}

@media (min-width: 576px) {
    .modal-xxl {
        --bs-modal-width: 90%;
    }
}

@media (min-width: 992px) {
    .modal-xxl {
        --bs-modal-width: 980px;
    }
}

@media (min-width: 1024px) {
    .max-col-8{
        width: 25% !important;
        max-width: 25% !important;
    }
}

@media (min-width: 1200px) {
    .modal-xxl {
        --bs-modal-width: 1180px;
    }
}

@media (min-width: 1440px) {
    .max-col-8{
        width: 16.5% !important;
        max-width: 16.5% !important;
    }
}
